com.dlsc.flexgantt.swing.layer.system

## Enum DragLayerEvent.ID

- java.lang.Object
- - java.lang.Enum<DragLayerEvent.ID>
  - - com.dlsc.flexgantt.swing.layer.system.DragLayerEvent.ID

- All Implemented Interfaces:
    Serializable, Comparable<DragLayerEvent.ID>
  Enclosing class:
    DragLayerEvent

      public static enum DragLayerEvent.ID
      extends Enum<DragLayerEvent.ID>

  An enumerator with different identifiers that can be used to distinguish between different types of events.
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DRAG_FINISHED` An enum value used to indicate that a drag operation has finished.
    `DRAG_ONGOING` An enum value used to indicate that a drag operation is currently going on.
    `DRAG_STARTED` An enum value used to indicate that a drag operation has started.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DragLayerEvent.ID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DragLayerEvent.ID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DRAG_STARTED

          public static final DragLayerEvent.ID DRAG_STARTED

      An enum value used to indicate that a drag operation has started.
      Since:
        1.0

    - #### DRAG_FINISHED

          public static final DragLayerEvent.ID DRAG_FINISHED

      An enum value used to indicate that a drag operation has finished.
      Since:
        1.0

    - #### DRAG_ONGOING

          public static final DragLayerEvent.ID DRAG_ONGOING

      An enum value used to indicate that a drag operation is currently going on.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static DragLayerEvent.ID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DragLayerEvent.ID c : DragLayerEvent.ID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DragLayerEvent.ID valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.